POST /suno/persona/create/
Method: POSTEndpoint: /suno/persona/create/
clip_id must already exist in the system and cannot come from uploader. Cannot be used across accounts, so it may fail if the original account is unavailable.
The key field in the response body is the id fd213afd-ac1c-4822-9802-c1c0ea45e77b. Use it as persona_id in the next step.
Request Parameters
Header Parameters
text
accept
string
Optional
Example:
*/*
content-type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
root_clip_id
string
Required
name
string
Required
description
string
Required
clips
array
[string]
Required
is_public
boolean
Required
Example
{
"root_clip_id"
:
"54834687-5e79-4f08-8e14-cf188f15b598"
,
"name"
:
// provider-specific example normalized for English documentation
,
"description"
:
"Persona Description"
,
"clips"
:
[
"54834687-5e79-4f08-8e14-cf188f15b598"
]
,
"is_public"
:
true
}Example Request
Shell
bash
curl --location --request POST '/suno/persona/create/' \
--header 'accept: */*' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'content-type: application/json' \
--data-raw '{
"root_clip_id": "54834687-5e79-4f08-8e14-cf188f15b598",
"name": "Persona title",
"description": "Persona Description",
"clips": ["54834687-5e79-4f08-8e14-cf188f15b598"],
"is_public": true
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"id": "fd213afd-ac1c-4822-9802-c1c0ea45e77b",
"name": "food",
"description": "123",
"root_clip_id": "54834687-5e79-4f08-8e14-cf188f15b598",
"clip": {
"id": "54834687-5e79-4f08-8e14-cf188f15b598",
"video_url": "https://cdn1.suno.ai/54834687-5e79-4f08-8e14-cf188f15b598.mp4",
"audio_url": "https://cdn1.suno.ai/54834687-5e79-4f08-8e14-cf188f15b598.mp3",
"image_url": "https://cdn2.suno.ai/image_54834687-5e79-4f08-8e14-cf188f15b598.jpeg",
"image_large_url": "https://cdn2.suno.ai/image_large_54834687-5e79-4f08-8e14-cf188f15b598.jpeg",
"major_model_version": "v4",
"model_name": "chirp-v4",
"metadata": {
"tags": "electronic pop, tropical house fusion",
"prompt": "",
"type": "gen",
"duration": 190,
"refund_credits": false,
"stream": true
},
"is_liked": false,
"user_id": "21de6d0f-398c-467c-9957-8fa9065f3ca6",
"display_name": "SensoryRecorders4685",
"handle": "sensoryrecorders4685",
"is_handle_updated": false,
"avatar_image_url": "https://cdn1.suno.ai/defaultPink.webp",
"is_trashed": false,
"created_at": "2024-12-23T10:34:30.144Z",
"status": "complete",
"title": "noks noko wane",
"play_count": 0,
"upvote_count": 0,
"is_public": false
},
"user_display_name": "SensoryRecorders4685",
"user_handle": "sensoryrecorders4685",
"user_image_url": "https://cdn1.suno.ai/defaultPink.webp",
"persona_clips": [
{
"clip": {
"id": "54834687-5e79-4f08-8e14-cf188f15b598",
"video_url": "https://cdn1.suno.ai/54834687-5e79-4f08-8e14-cf188f15b598.mp4",
"audio_url": "https://cdn1.suno.ai/54834687-5e79-4f08-8e14-cf188f15b598.mp3",
"image_url": "https://cdn2.suno.ai/image_54834687-5e79-4f08-8e14-cf188f15b598.jpeg",
"image_large_url": "https://cdn2.suno.ai/image_large_54834687-5e79-4f08-8e14-cf188f15b598.jpeg",
"major_model_version": "v4",
"model_name": "chirp-v4",
"metadata": {
"tags": "electronic pop, tropical house fusion",
"prompt": "",
"type": "gen",
"duration": 190,
"refund_credits": false,
"stream": true
},
"is_liked": false,
"user_id": "21de6d0f-398c-467c-9957-8fa9065f3ca6",
"display_name": "SensoryRecorders4685",
"handle": "sensoryrecorders4685",
"is_handle_updated": false,
"avatar_image_url": "https://cdn1.suno.ai/defaultPink.webp",
"is_trashed": false,
"created_at": "2024-12-23T10:34:30.144Z",
"status": "complete",
"title": "noks noko wane",
"play_count": 0,
"upvote_count": 0,
"is_public": false
},
"id": 11288925
}
]
}